import javax.swing.*;

class H3YOEx2
{
public static void main(String args[])
{
double x1 = Double.parseDouble(JOptionPane.showInputDialog( "birinci noktanın x koordinatını giriniz:"));
double y1 = Double.parseDouble(JOptionPane.showInputDialog( "birinci noktanın y koordinatını giriniz:"));
nokta P1=new nokta(x1,y1);
String s="nokta  çıktısı : ";
String s1="nokta P1 çıktısı : \n"+P1.cikti()+"\n";
double x2 = Double.parseDouble(JOptionPane.showInputDialog( "ikinci noktanın x koordinatını giriniz:"));
double y2 = Double.parseDouble(JOptionPane.showInputDialog( "ikinci noktanın y koordinatını giriniz:"));
nokta P2=new nokta(x2,y2);
s1+="nokta P2 çıktısı : \n"+P2.cikti()+"\n";
s1+="iki nokta arasındaki mesafe = "+P1.mesafe(P2);
JOptionPane.showMessageDialog(null,s1,s, JOptionPane.PLAIN_MESSAGE);
}
}